package com.eactive.eai.adapter.http.client.impl.filter;

import java.util.Properties;

import lombok.Getter;

public class HttpClientAdapterFilterException extends RuntimeException {
	private static final long serialVersionUID = -1208983360831093751L;
	@Getter
	private final String code;
	@Getter
	private final Properties prop;
	@Getter
	private final Properties tempProp;
	
	public HttpClientAdapterFilterException(String code, String msg, Properties prop, Properties tmepProp) {
		super(msg);
		this.code = code;
		this.prop = prop;
		this.tempProp = tmepProp;
	}

	public HttpClientAdapterFilterException(String code, String msg, Properties prop, Properties tempProp, Throwable cause) {
		super(msg, cause);
		this.code = code;
		this.prop = prop;
		this.tempProp = tempProp;
	}

	@Override
	public String toString() {
		return "HttpClientAdapterFilterException [code=" + code + ", prop=" + prop + ", tempProp=" + tempProp + ", parent=" + super.toString() + "]";
	}

}
